Skip to main content

APIs

DACA APIs

Enter Control Agreement

Set an account with DACA Entered status.

Note

Setting an account with DACA Entered will not affect the account. It only means that DACA can be activated for this account in the future.

VerbPOST
URLhttps://api.s.unit.sh/accounts/:accountId/enter-daca
Required Scopeaccounts-write
Timeout (Seconds)5

Response

Response is a JSON:API document.

200 OK

data
Deposit Account resource.
curl -X POST 'https://api.s.unit.sh/accounts/10000/enter-daca'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'

Activate Control Agreement

Set an account with DACA Activated status. This action will:

  1. Change the account's dacaStatus to Activated.
  2. Freeze all account's cards.
  3. ACH, Wire and Book (when funds are debited from the DACA account) payments attempts will not be supported.
  4. Incoming ACH Debit payments will be returned with NonTransactionAccount Reason.
Note

Activating a DACA will work only for a DACA Operator and for accounts that have previously entered a DACA.

VerbPOST
URLhttps://api.s.unit.sh/accounts/:accountId/activate-daca
Required Scopeaccounts-write
Timeout (Seconds)5

Response

Response is a JSON:API document.

200 OK

data
Deposit Account resource.
curl -X POST 'https://api.s.unit.sh/accounts/10000/activate-daca'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'

Deactivate Control Agreement

Deactivate an account with DACA Activated status. This action will:

  1. Return account's dacaStatus to Entered.
  2. Unfreeze all account's cards that were frozen due to DACA.
  3. Remove the restrictions on ACH, Wire and Book (when funds are debited from the DACA account).
  4. Remove the restriction on incoming debit ACH payments.
VerbPOST
URLhttps://api.s.unit.sh/accounts/:accountId/deactivate-daca
Required Scopeaccounts-write
Timeout (Seconds)5

Response

Response is a JSON:API document.

200 OK

data
Deposit Account resource.
curl -X POST 'https://api.s.unit.sh/accounts/10000/deactivate-daca'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'